# Uses of Class
bsh.Modifiers

Packages that use Modifiers
Package
Description
bsh

## Uses of Modifiers in bsh

Methods in bsh that return Modifiers
Modifier and Type
Method
Description
`Modifiers`
BshMethod.`getModifiers()`
`Modifiers`
Variable.`getModifiers()`
`final Modifiers`
Parser.`Modifiers(int context, boolean lookahead)`
THE JAVA LANGUAGE GRAMMAR STARTS HERE *
Methods in bsh with parameters of type Modifiers
Modifier and Type
Method
Description
`abstract Class`
ClassGenerator.`generateClass(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
Parse the BSHBlock for the class definition and generate the class.
`Class`
ClassGeneratorImpl.`generateClass(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
`static Class`
ClassGeneratorImpl.`generateClassImpl(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
Parse the BSHBlock for for the class definition and generate the class using ClassGenerator.
`void`
ExternalNameSpace.`setTypedVariable(String name, Class type, Object value, Modifiers modifiers)`
`void`
NameSpace.`setTypedVariable(String name, Class type, Object value, Modifiers modifiers)`
Declare a variable in the local scope and set its initial value.
Constructors in bsh with parameters of type Modifiers
Modifier
Constructor
Description
``
`ClassGeneratorUtil(Modifiers classModifiers, String className, String packageName, Class superClass, Class[] interfaces, Variable[] vars, DelayedEvalBshMethod[] bshmethods, NameSpace classStaticNameSpace, boolean isInterface)`